<template>
    <uv-drop-down ref="dropdown">
        <uv-drop-down-item v-for="c in conditions" :label="c.config.title"/>
        <uv-drop-down-popup/>
    </uv-drop-down>
</template>

<script setup>
import {ref, watch} from 'vue';
import {useInjectPageScroll} from "@/hooks/usePageScrollInjection";
import {useInjectSearchModel} from "@/components/mx-condition/useSearchModelInjection";

const {scrollTop} = useInjectPageScroll()
const {conditions} = useInjectSearchModel()
const dropdown = ref(null)

watch(scrollTop, () => dropdown.value.init()) // 位置修正
</script>

<style scoped>

</style>